# $Revision: 1.112 $, $Date: 2010/05/19 20:12:26 $
#
# Conditional build
%bcond_without	db	# don't build db storage and authreg backends
%bcond_without	ldap	# don't build ldap authreg backend
%bcond_without	mysql	# don't build MySQL storage and authreg backends
%bcond_without	pgsql	# don't build PostgreSQL storage and authreg backends
%bcond_without	sqlite	# don't build SQLite v3 storage backend
# allows limiting the number of offline messages stored per user (mysql storage)
# and allows offline storage (queuing) of subscription requests and/or messages
# to be disabled
%bcond_with	bxmpp	# - patches c2s to allow connections from Flash clients which don't use proper XMPP

%include	/usr/lib/rpm/macros.perl
Summary:	Jabber/XMPP server
Summary(pl.UTF-8):	Serwer Jabber/XMPP
Name:		jabberd
Version:	2.2.9
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://ftp.xiaoka.com/jabberd2/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	bfc0fa473c2a453fcbba4f95f28c5d70
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	db-setup.sqlite
Patch0:		%{name}-perlscript.patch
Patch1:		%{name}-daemonize.patch
Patch2:		%{name}-default_config.patch
Patch4:		%{name}-delay_jobs.patch
Patch5:		%{name}-binary_path.patch
Patch6:		%{name}-reconnect.patch
#bcond bxmpp
Patch22:	http://www.marquard.net/jabber/patches/patch-flash-v2
URL:		http://jabberd.jabberstudio.org/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_db:BuildRequires:	db-devel >= 4.1.24}
BuildRequires:	expat-devel
BuildRequires:	gettext-devel
BuildRequires:	gsasl-devel >= 0.2.28
BuildRequires:	libidn-devel >= 0.3.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.6d
BuildRequires:	pam-devel
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	udns-devel
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	jabber-common
Requires:	rc-scripts
Obsoletes:	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modern open source Jabber server, implementing latest XMPP protocol.

%description -l pl.UTF-8
Nowoczesny, wolnodostępny serwer Jabbera implementujący najnowszy
protokół XMPP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%if %{with bxmpp}
%patch22 -p0
%endif

install %{SOURCE3} tools/

%build
#http://j2.openaether.org/bugzilla/show_bug.cgi?id=17
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir="%{_libdir}/%{name}" \
	--sysconfdir="%{_sysconfdir}/jabber" \
	%{?with_db:--enable-db} \
	%{?with_mysql:--enable-mysql} \
	%{?with_pgsql:--enable-pgsql} \
	--enable-fs \
	--enable-anon \
	--enable-pipe \
	--enable-pam \
	%{?with_ldap:--enable-ldap} \
	%{?with_sqlite:--enable-sqlite} \
	%{?debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/var/lib/%{name}/{db,stats},/var/run/jabber,/etc/{sysconfig,rc.d/init.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_libdir}/jabberd/jabberd $RPM_BUILD_ROOT%{_sbindir}
rm $RPM_BUILD_ROOT%{_sysconfdir}/jabber{,/templates}/*.dist

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in Jabberd config files..."
		%{__sed} -i -e "s/>secret</>$SECRET</" %{_sysconfdir}/jabber/*.xml
	fi
fi

/sbin/chkconfig --add jabberd
%service jabberd restart "Jabber server"

%if %{with avatars}
echo "This j2 package has new functionality, please read AVATARS file."
%endif

%preun
if [ "$1" = "0" ]; then
	%service jabberd stop
	/sbin/chkconfig --del jabberd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%doc tools/{migrate.pl,db-setup.mysql,db-setup.pgsql,%{?with_sqlite:db-setup.sqlite,}pipe-auth.pl}
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*.cfg
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/*.xml
%dir %{_sysconfdir}/jabber/templates
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/templates/*.xml
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/jabberd
%attr(755,root,root) %{_libdir}/%{name}/*
%dir %attr(770,root,jabber) /var/lib/%{name}
%dir %attr(770,root,jabber) /var/lib/%{name}/db
%dir %attr(770,root,jabber) /var/lib/%{name}/stats
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabberd.spec,v $
Revision 1.112  2010/05/19 20:12:26  sparky
- BR: expat-devel

Revision 1.111  2010/04/21 19:36:06  wiget
- release 1

Revision 1.110  2009/08/04 19:04:39  pascalek
- updated to 2.2.9

Revision 1.109  2009/03/10 12:26:32  vip
- up to 2.2.7.1

Revision 1.108  2008/09/06 22:19:42  zergin
- up to 2.2.4
- requires gsasl >= 0.2.28
  (i've got faild to initialize SASL context with lower gsasl)

Revision 1.107  2008/08/07 07:59:53  pascalek
- updated to 2.2.2

Revision 1.106  2008/07/03 11:45:43  gotar
- upgraded to 2.2.0; more BRs,
- sorted bconds,
- rel. 0.1 due to removed resolver component

Revision 1.105  2008/05/11 07:36:49  hawk
- updated to 2.1.24.1

Revision 1.104  2008-02-16 22:04:52  djrzulf
- updated to 2.1.23, cleanups with avatars (there are already at vcard
  by default), PROTOCOL file disappeard,

Revision 1.103  2008-01-26 19:07:28  dzeus
- rel. 1

Revision 1.102  2008-01-25 21:16:50  dzeus
- enable mysql storage support

Revision 1.101  2008-01-25 17:18:48  qboosh
- cleanup

Revision 1.100  2008-01-22 15:14:41  bszx
- updated to 2.1.22
- patches 7 and 21 have been included in source

Revision 1.99  2007-11-03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.98  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.97  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.96  2006/12/20 11:22:08  hawk
- keep patches in CVS

Revision 1.95  2006/06/20 15:11:52  mmazur
- rel2; bugfix http://j2.openaether.org/bugzilla/show_bug.cgi?id=154

Revision 1.94  2006/03/16 12:56:16  mmazur
- up to 2.0s11; security fix

Revision 1.93  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.92  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.91  2006/02/16 07:48:29  arekm
- rel 4; use proper reconnect api

Revision 1.90  2006/01/17 15:27:40  baggins
- release 3
- BR openldap 2.3

Revision 1.89  2005/10/27 17:42:34  arekm
- rel 2

Revision 1.88  2005/10/12 07:11:48  arekm
- up to 2.0s10

Revision 1.87  2005/08/15 21:45:42  djrzulf
- rel 1, all works fine, STBR to AC-READY,

Revision 1.86  2005/08/15 21:25:17  djrzulf
- uh ah, missed example for sqlite, rel 0.3,

Revision 1.85  2005/08/15 21:11:10  djrzulf
- without bconds tested - bp pass,

Revision 1.84  2005/08/15 20:54:54  djrzulf
- starting update to s09

Revision 1.83  2005/04/27 18:39:42  adamg
- when building without sqlite support do not try to include
  db-setup.sqlite (patch from Marcin Sztolcman  msztolcman (at) post.pl)

Revision 1.82  2005/04/27 07:11:04  djrzulf
- STBR AC-READY,

Revision 1.81  2005/04/25 19:20:38  wiget
- updated to 2.0s8

Revision 1.80  2005/04/15 20:09:57  darekr
- simplified %setup

Revision 1.79  2005/04/04 07:32:59  ankry
- unified

Revision 1.78  2005/03/31 09:43:52  djrzulf
- updated to s7, STBR AC-TEST,

Revision 1.77  2005/03/30 04:39:53  djrzulf
- it have only sqlite storage, no authreg yet,

Revision 1.76  2005/03/25 20:10:31  djrzulf
- fixed source0 and setup,

Revision 1.75  2005/03/25 20:07:41  djrzulf
- %{_humanization},

Revision 1.74  2005/03/25 19:59:37  djrzulf
- not used now,

Revision 1.73  2005/03/25 11:45:55  djrzulf
- switch to official snapshots,
- updated to 20050323,

Revision 1.72  2005/03/21 13:02:13  djrzulf
- added Epoch to easy upgrade from "stable" version,

Revision 1.71  2005/03/21 06:49:35  djrzulf
- amp is not usable,

Revision 1.70  2005/03/21 06:32:07  djrzulf
- updated to CVS version, remove all already applied patches,

Revision 1.69  2005/03/17 19:56:06  qboosh
- add -fno-strict-aliasing to optflags instead of replacing them

Revision 1.68  2005/03/17 09:46:26  djrzulf
- commented AMP patch (make sm unstable),
- added -fno-strict-aliasing (http://j2.openaether.org/bugzilla/show_bug.cgi?id=17)
- Rel 10,
- STBR AC-TEST,

Revision 1.67  2005/03/17 07:44:29  djrzulf
- added info about amp,

Revision 1.66  2005/03/14 19:50:42  djrzulf
- rel 9, tested enough, STBR AC-READY,

Revision 1.65  2005/03/13 14:56:58  adamg
- missing '%' in %doc

Revision 1.64  2005/03/13 14:46:32  djrzulf
- created bcond with avatars, need testing, rel 8.9,

Revision 1.63  2005/03/13 14:32:05  djrzulf
- TODO created, please dont build it!

Revision 1.62  2005/03/13 13:00:07  djrzulf
- rel 8, works,
- STBR AC-READY,

Revision 1.61  2005/03/13 12:26:00  djrzulf
- quotes,

Revision 1.60  2005/03/13 12:10:33  djrzulf
- added avatars to vcard,
- STBR AC-TEST,

Revision 1.59  2005/03/11 20:24:22  djrzulf
- adapterized,

Revision 1.58  2005/03/11 05:52:29  djrzulf
- finished, STBR AC-TEST,

Revision 1.57  2005/03/10 18:01:41  djrzulf
- oq patch enabled by default, added TODO (i should do this tommorow),

Revision 1.56  2005/02/17 21:01:08  djrzulf
- added 5 sec in init script to wait for all processes of jabberd to kill,
- Rel 6,
- STBR to AC-TEST,

Revision 1.55  2005/02/12 19:50:02  arekm
- rel ++

Revision 1.54  2005/01/17 07:02:07  djrzulf
- added new patches,
- release 4,
- STBR for AC ready,

Revision 1.53  2005/01/07 09:55:43  djrzulf
- fixed number in patch,

Revision 1.52  2005/01/07 09:51:09  djrzulf
- added example for sqlite storage to sm.xml,
- Rel 3.1,

Revision 1.51  2005/01/07 08:04:42  djrzulf
- for sięsiel rel 3,
- STBR AC-READY!,

Revision 1.50  2005/01/06 05:54:35  djrzulf
- sorry, i'm stupid, remove negation from %post :),

Revision 1.49  2005/01/06 05:33:06  djrzulf
- missed %endif,

Revision 1.48  2005/01/04 10:33:42  djrzulf
- added SQLite3 support - need to be tested,
- patch for broken flash clients (on bcond - default off),
- rel 2.5,

Revision 1.47  2005/01/04 07:46:38  djrzulf
- added 2 bconds with 2 new features (disabled by default),
  - Advanced Message Processing (JEP-0079) implementation
  - limiting the number of offline messages stored per user
    (only with mysql storage so far)

Revision 1.46  2004/12/30 16:50:56  djrzulf
- 2 more patches, works for me,

Revision 1.45  2004/12/28 12:17:19  djrzulf
- added another patches, works for me,

Revision 1.44  2004/12/22 09:38:41  djrzulf
- added patch-empty-jid-v2 (Fix jid handling bug that can lead to sm crash),

Revision 1.43  2004/12/21 08:00:01  djrzulf
- added 4 patches from http://www.marquard.net/jabber/,
- Rel 2 - works for me (test it at jabber server: pkp-cargo.czechowice.net),

Revision 1.42  2004/12/17 08:30:19  djrzulf
- works great for me,
- STBR,

Revision 1.41  2004/12/17 07:01:45  djrzulf
- sorry, logs going to syslog... :-)

Revision 1.40  2004/12/17 06:41:23  djrzulf
- typos,

Revision 1.39  2004/12/16 08:12:38  djrzulf
- updated to latest stable, maybe 2 more patches after rel1 from
  http://www.marquard.net/jabber/ ?
- need testing,
- last patch already added to stable (removed),

Revision 1.38  2004/12/02 13:01:08  snurf
- recomended patch from http://www.marquard.net/jabber/,
  included in jabberd cvs
- rel 1, STBR for Ac

Revision 1.37  2004/12/02 02:30:14  snurf
- up to 2.0s5

Revision 1.36  2004/10/28 12:42:31  paladine
- "PostgreSQL" unification

Revision 1.35  2004/10/28 12:22:22  paladine
- "MySQL" unification

Revision 1.34  2004/10/24 15:34:05  jajcus
- Version: 2.0s4
- commented-out and outdated parts removed
- Prereq: jabber-common (for the "jabber" user)

Revision 1.33  2004/10/18 13:23:07  snurf
- new patches from http://www.marquard.net/jabber/
- rel++
- builds and works, STBR for Ac

Revision 1.32  2004/10/05 18:05:38  wolf
- rel 3

Revision 1.31  2004/10/05 16:54:48  snurf
- added recomended jabberd2 patches from
  http://www.marquard.net/jabber/
- builds, works, but not tested heavily

Revision 1.30  2004/08/25 10:15:33  ankry
- commented out user/group manipulation: it is done in jabber-common, rel. 2

Revision 1.29  2004/07/02 06:58:22  jajcus
- Changed from snapshot to final 2.0s3

Revision 1.28  2004/06/17 09:17:15  deejay1
- more specific BR

Revision 1.27  2004/06/17 08:58:36  deejay1
- fixed patch3; builds for me; rel up

Revision 1.26  2004/05/20 22:59:02  wolf
- 2.0s3 20040520 cvs snap with fixed memleaks

Revision 1.25  2004/04/13 14:37:35  adamg
- release 2 to rebuild with new openldap

Revision 1.24  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.23  2004/03/16 14:09:48  averne
- rel1 for Ac

Revision 1.22  2004/02/15 16:24:00  eothane
- bconds, changelog cleanups

Revision 1.21  2004/02/10 13:18:59  jajcus
- Version: 2.0s2
- -binary_path.patch updated for AMD64
- workaround for stupid includes in configure.in

Revision 1.20  2004/01/03 10:50:39  jajcus
- protocol information and the migration script added

Revision 1.19  2004/01/02 23:07:08  ankry
- spaces -> tab

Revision 1.18  2004/01/02 22:47:45  jajcus
- Version: 2.0s1
- new bconds

Revision 1.17  2003/12/04 10:46:46  areq
- jabberd 2.0rc1

Revision 1.16  2003/11/11 13:15:42  jajcus
- updated for beta3

Revision 1.15  2003/11/10 23:22:21  qboosh
- BR: ac,am,lt

Revision 1.14  2003/10/18 11:16:56  djrzulf
- added BR

Revision 1.13  2003/10/13 09:31:39  deejay1
- fixed bcond description, BR cosmetic

Revision 1.12  2003/10/13 09:22:49  deejay1
- fixed BR bconds

Revision 1.11  2003/09/30 10:03:14  qboosh
- added pre/post/preun deps, pl

Revision 1.10  2003/09/18 11:59:15  jajcus
- %{debug} support
- db,ldap,mysql backends are now conditional
- two jabberd-2.0b1 bugs fixed (c2s_crash & digest_md5_rspauth patches

Revision 1.9  2003/09/17 06:41:22  jajcus
- jabberd-delay_jobs.patch: wait between starting each jabberd component
  so router is always started before any other

Revision 1.8  2003/09/16 11:26:44  jajcus
- common environmet for jabber services in the jabber-common package

Revision 1.7  2003/09/15 12:29:38  jajcus
- don't remove jabber user and group (until I get a better idea)
  - it may be still used by jabberd14

Revision 1.6  2003/09/15 06:11:38  jajcus
- Obsoletes: jabber-irc-transport (was in Ra, not present any more)

Revision 1.5  2003/09/14 15:22:52  jajcus
- jabberd instaled in %{_sbindir}

Revision 1.4  2003/09/14 08:37:03  jajcus
- spec finished

Revision 1.3  2003/09/12 13:43:06  jajcus
- nearly done (default config files still need to be updated)

Revision 1.2  2003/09/11 13:51:05  jajcus
- md5 sums

Revision 1.1  2003/09/11 13:50:48  jajcus
- new spec for jabberd2. NFY
